<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.system.mapper.SystemPersonalizeSettingMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap" type="com.storlead.system.pojo.entity.SystemPersonalizeSettingEntity">
        <id column="id" property="id" />
        <result column="data_sync_mode" property="dataSyncMode" />
        <result column="icon_logo" property="iconLogo" />
        <result column="system_title" property="systemTitle" />
        <result column="system_logo" property="systemLogo" />
        <result column="login_logo" property="loginLogo" />
        <result column="login_bg_image_url" property="loginBgImageUrl" />
        <result column="login_title" property="loginTitle" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, data_sync_mode, icon_logo, system_title, system_logo, login_logo, login_bg_image_url, login_title, <include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
    </sql>

</mapper>
